// type x =
type LogDetail = {
  level?: "debug" | "log" | "warn" | "error";
  /** channels. 往哪些渠道放日志？ */
  cnl?: ("console" | "local" | "server" | "bd")[];
  /** page url */
  pgu?: string;
  /** statck 错误信息的stack，单条信息也放此处 */
  stk?: string;
  /** detail 详细信息 */
  dtl?: string;
  /** 扩展字段的集合。TODO: 消除这里的any */
  ext?: any;
};
/** 记录重要日志到多个source */
export default function (detail: LogDetail) {
  const newDetail = Object.assign({ level: "log" }, detail);
  if (newDetail.cnl?.includes("console")) {
    console.log(newDetail);
  }
}
